Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

For a very long time, I'm experiencing this bug in Compiz. It makes my windows flash, when rotating the desktop cube. None of the animations work properly execpt the Wobbly windows. However the temporary fix I found on the bug page helped me to reduce the effects, but it's not 100% perfect.

Now they have totally fixed the bug in Compiz 0.9.8 for Quantal. I really need to get the official fix on my Ubuntu 12.04. Don't the LTS versions get bug fixes?

Sometimes my desktop cube/cylinder appears like this :

enter image description here

None of this happened in Lucid Lynx :(

share|improve this question
    
Have you looked at the fix at the bottom of the page? does it no work for you? –  Uri Herrera Aug 19 '12 at 3:41
    
It's not working 100%... it has some side effects. Sometimes compiz draws empty squares instead of menus. This is the bug free release: packages.ubuntu.com/quantal/compiz but I don't know how to install... Packages are breaking while trying to install latest version. Is there a PPA for the latest Compiz? –  Naveen Aug 19 '12 at 4:37
    
Compiz is a fundamental part of Unity upgrading it will break it, so you'll have to remove Unity (if you use it) to install it, you can however, install Compiz from source that should do it. –  Uri Herrera Aug 19 '12 at 4:52
1  
Your question is apparently a dupe of this other question. The answer provided would work for you. I have flagged this question for closure. –  jokerdino Sep 1 '12 at 15:29
1  
You have to explictly give the bounty to the answerer. Note that, if you don't do it in bounty period + grace period ( which is now about 5 hours + 18 hours) the answerer will only get half of the bounty. See the faq –  Anwar Shah Sep 5 '12 at 14:48

1 Answer 1

up vote 7 down vote accepted
+50

Unless your Compiz package is really buggy and you are desperate to upgrade it, I would suggest you hold your horses and wait until the fixes made in Compiz during Quantal development is backported to Precise. As you probably might have noted, the fix for your bug has been milestoned to Compiz Core 0.9.7.10 "SRU-1" and would probably land before Precise 12.04.2 point release.

But if you really have to upgrade, I wouldn't stop you.. Read on.


There was a half-baked Compiz package that reportedly included most of the SRU fixes that were meant to land in 12.04.

January has nicely laid down the necessary instructions to install the PPA in this question:

I'll quickly go through the basic instructions for reference:

Install the PPA and the Compiz package:

sudo apt-add-repository ppa:vanvugt/compiz-preproposed
sudo apt-get update
sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

Log out and back in. If that fixes your problems, you can lock Compiz to this particular version. General instructions on how to lock a package here:

If it is buggy, you can just update your system and you will be reverted back to the current Compiz package in the repo.

sudo apt-get update
sudo apt-get dist-upgrade
share|improve this answer
    
Did it... but now compiz doesn't start. No window borders. Any other options? –  Naveen Aug 29 '12 at 9:48
    
Does it look somewhat like this? askubuntu.com/questions/17381/… –  jokerdino Aug 29 '12 at 9:50
    
Thank you... I get Docky, Nautilus and everything... none of them have window borders(It's just like when you run "pkill compiz" command). Compositing is not available... I think that experimental Compiz version doesn't work for me.. Is there anything to do? –  Naveen Aug 29 '12 at 9:59
    
Can I downgrade to Ubuntu 10.04's Compiz version? (0.8.6) –  Naveen Aug 29 '12 at 11:04
1  
@Naveen The fix was postponed to milestone 0.9.7.14. So, it hasn't landed in 12.04.2 yet. :( –  jokerdino Feb 9 '13 at 5:45

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.